Bug 993064 - AttributeError: 'UINodeACL' object has no attribute 'rtsnode'
AttributeError: 'UINodeACL' object has no attribute 'rtsnode'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: targetcli (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Andy Grover
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 10:40 EDT by Richard Chan
Modified: 2013-08-18 17:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: targetcli-2.1.fb28-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 17:33:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
saveconfig.json - demo configuration that triggers error (3.62 KB, text/plain)
2013-08-05 10:40 EDT, Richard Chan
no flags Details

  None (edit)
Description Richard Chan 2013-08-05 10:40:19 EDT
Created attachment 782861 [details]
saveconfig.json - demo configuration that triggers error

Description of problem:
targetcli returning python errors in CLI


Version-Release number of selected component (if applicable):
targetcli 2.1.fb26
python-rtslib 2.1.fb35



How reproducible:
Always


Steps to Reproduce:
1. Create block lun
2. Create iscsi target
3. Create iscsi acl for an initiator
4. cd /iscsi/<target>/tpg1/acls/<iqn>

Actual results:
get
> attribute global parameter auth
get parameter

> get parameter
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/configshell/shell.py", line 990, in run_interactive
    self._cli_loop()
  File "/usr/lib/python2.7/site-packages/configshell/shell.py", line 813, in _cli_loop
    self.run_cmdline(cmdline)
  File "/usr/lib/python2.7/site-packages/configshell/shell.py", line 934, in run_cmdline
    self._execute_command(path, command, pparams, kparams)
  File "/usr/lib/python2.7/site-packages/configshell/shell.py", line 909, in _execute_command
    result = target.execute_command(command, pparams, kparams)
  File "/usr/lib/python2.7/site-packages/targetcli/ui_node.py", line 87, in execute_command
    pparams, kparams)
  File "/usr/lib/python2.7/site-packages/configshell/node.py", line 1417, in execute_command
    result = method(*pparams, **kparams)
  File "/usr/lib/python2.7/site-packages/configshell/node.py", line 607, in ui_command_get
    value = group_getter(p_def['name'])
  File "/usr/lib/python2.7/site-packages/targetcli/ui_target.py", line 867, in ui_getgroup_parameter
    return self.rtsnode[0].get_parameter(parameter)
AttributeError: 'UINodeACL' object has no attribute 'rtsnode'


Expected results:
targetcli will show the appropriate parameters for the context 
/iscsi/<target>/


Additional info:
Comment 1 Richard Chan 2013-08-05 10:45:02 EDT
The last part should read:

Expected results:
targetcli will show the appropriate parameters for the context 
/iscsi/<target>/tpg1/acls/<iqn>


In the context: /iscsi/<target>/tpg1 get parameter works
It fails two levels down in the context of the acls/<initiator iqn>
Comment 2 Fedora Update System 2013-08-05 12:43:02 EDT
targetcli-2.1.fb28-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/targetcli-2.1.fb28-1.fc18
Comment 3 Fedora Update System 2013-08-05 12:43:26 EDT
targetcli-2.1.fb28-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/targetcli-2.1.fb28-1.fc19
Comment 4 Richard Chan 2013-08-05 13:13:12 EDT
The two updates for python-rtslib and targetcli have fixed the issue for me
under Fedora 19. Thank you.
Comment 5 Fedora Update System 2013-08-06 19:36:05 EDT
Package targetcli-2.1.fb28-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing targetcli-2.1.fb28-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14346/targetcli-2.1.fb28-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-18 17:33:59 EDT
targetcli-2.1.fb28-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-08-18 17:38:59 EDT
targetcli-2.1.fb28-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.